using System;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void BulletedList1_Click(object sender, BulletedListEventArgs e)
    {

    }

    protected void ListBox1_SelectedIndexChanged(object sender, EventArgs e)
    {
        // Change the message displayed, based on 
        // the style selected from the list box.
        if (ListBox1.SelectedIndex > -1)
        {
            Result.Text = "You selected bullet style: " +
                ListBox1.SelectedItem.Text;
        }
        // Change the bullet style used, based on 
        // the style selected from the list box.
        switch (ListBox1.SelectedIndex)
        {
            case 0:
                BulletedList1.BulletStyle = BulletStyle.Numbered;
                break;
            case 1:
                BulletedList1.BulletStyle = BulletStyle.UpperAlpha;
                break;
            case 2:
                BulletedList1.BulletStyle = BulletStyle.UpperRoman;
                break;
            case 3:
                BulletedList1.BulletStyle = BulletStyle.Circle;
                break;
            case 4:
                BulletedList1.BulletStyle = BulletStyle.CustomImage;
                // Specify the path to the custom image to use for the bullet.
                BulletedList1.BulletImageUrl = "image1.gif";

                break;
            case 5:
                BulletedList1.BulletStyle = BulletStyle.LowerAlpha;
                break;
            case 6:
                BulletedList1.BulletStyle = BulletStyle.LowerRoman;
                break;
            case 7:
                BulletedList1.BulletStyle = BulletStyle.Disc;
                break;
            case 8:
                BulletedList1.BulletStyle = BulletStyle.Square;
                break;
            case 9:
                Result.Text = "You selected NotSet. The browser will determine the bullet style.";
                break;
            default:
                throw new Exception("You did not select a valid bullet style.");
        }
    }
}
